Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.awt.color
Class ColorSpaceCalRGB

    java.lang.Object
      java.awt.color.ColorSpace
          phelps.awt.color.ColorSpaceCalRGB

All Implemented Interfaces:
  java.io.Serializable

public class ColorSpaceCalRGB
extends java.awt.color.ColorSpace

CalRGB CIE-based color space. Used by PDF.

Version:
  $Revision: 1.4 $ $Date: 2002/06/06 21:43:27 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`ColorSpaceCalRGB(float whitex, float whitey, float whitez)` White point is required.

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)` NOT IMPLEMENTED (not needed for PDF).
`float[]` | `fromRGB(float[] rgbvalue)`
`void` | `setBlackPoint(float x, float y, float z)`
`void` | `setGamma(float r, float g, float b)`
`void` | `setMatrix(float[] matrix)`
`float[]` | `toCIEXYZ(float[] colorvalue)` X = L = X_W * A^G
`float[]` | `toRGB(float[] colorvalue)`

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSpaceCalRGB

    public ColorSpaceCalRGB(float whitex,
                            float whitey,
                            float whitez)

  White point is required.

Method Detail

### setBlackPoint

    public void setBlackPoint(float x,
                              float y,
                              float z)

### setGamma

    public void setGamma(float r,
                         float g,
                         float b)

### setMatrix

    public void setMatrix(float[] matrix)

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  NOT IMPLEMENTED (not needed for PDF). So don't call Color.getComponents() or Color.getColorComponents() on colors in this ColorSpace.

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  X = L = X_W * A^G

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD